package cn.iocoder.yudao.module.rescue.service.impl;

import cn.iocoder.yudao.module.rescue.domain.WxRescueInfo;
import cn.iocoder.yudao.module.rescue.mapper.WxRescueInfoMapper;
import cn.iocoder.yudao.module.rescue.service.IWxRescueInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 救援信息Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-08-30
 */
@Service
public class WxRescueInfoServiceImpl implements IWxRescueInfoService
{
    @Autowired
    private WxRescueInfoMapper wxRescueInfoMapper;

    /**
     * 查询救援信息
     * 
     * @param id 救援信息主键
     * @return 救援信息
     */
    @Override
    public WxRescueInfo selectWxRescueInfoById(Long id)
    {
        return wxRescueInfoMapper.selectWxRescueInfoById(id);
    }

    /**
     * 查询救援信息列表
     * 
     * @param wxRescueInfo 救援信息
     * @return 救援信息
     */
    @Override
    public List<WxRescueInfo> selectWxRescueInfoList(WxRescueInfo wxRescueInfo)
    {
        return wxRescueInfoMapper.selectWxRescueInfoList(wxRescueInfo);
    }

    /**
     * 新增救援信息
     * 
     * @param wxRescueInfo 救援信息
     * @return 结果
     */
    @Override
    public int insertWxRescueInfo(WxRescueInfo wxRescueInfo)
    {
        return wxRescueInfoMapper.insertWxRescueInfo(wxRescueInfo);
    }

    /**
     * 修改救援信息
     * 
     * @param wxRescueInfo 救援信息
     * @return 结果
     */
    @Override
    public int updateWxRescueInfo(WxRescueInfo wxRescueInfo)
    {
        return wxRescueInfoMapper.updateWxRescueInfo(wxRescueInfo);
    }

    /**
     * 批量删除救援信息
     * 
     * @param ids 需要删除的救援信息主键
     * @return 结果
     */
    @Override
    public int deleteWxRescueInfoByIds(Long[] ids)
    {
        return wxRescueInfoMapper.deleteWxRescueInfoByIds(ids);
    }

    /**
     * 删除救援信息信息
     * 
     * @param id 救援信息主键
     * @return 结果
     */
    @Override
    public int deleteWxRescueInfoById(Long id)
    {
        return wxRescueInfoMapper.deleteWxRescueInfoById(id);
    }
}
